<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Empresa;

$connecion = new Conexion();

$respuesta = null;
if (isset($_POST['actualizar_empresa']) and !empty($_POST['actualizar_empresa'])) {
    $empresa = Empresa::first();
    if ($empresa) {
        $empresa->nombre = $_POST['nombre_empresa'];
        $empresa->ruc = $_POST['ruc'];
        $empresa->razon_social = $_POST['razon_social'];
        $empresa->direccion = $_POST['direccion'];
        $empresa->correo = $_POST['correo'];
        $empresa->web = $_POST['web'];
        $empresa->representante_legal = $_POST['representante_legal'];
        $empresa->save();

        $_SESSION['respuesta'] = [
            'success' => "Se actualizo satisfactoriamente",
        ];
    } else {
        $empresa = new Empresa;
        $empresa->nombre = $_POST['nombre_empresa'];
        $empresa->ruc = $_POST['ruc'];
        $empresa->razon_social = $_POST['razon_social'];
        $empresa->direccion = $_POST['direccion'];
        $empresa->correo = $_POST['correo'];
        $empresa->web = $_POST['web'];
        $empresa->representante_legal = $_POST['representante_legal'];
        $empresa->save();

        $_SESSION['respuesta'] = [
            'success' => "Se actualizo satisfactoriamente",
        ];
    }
}

if (isset($_POST['cambiar_logo']) and !empty($_POST['cambiar_logo'])) {
    $directorio = 'public/galeria/';
    
    if ($_FILES['logo_empresa']['name']) {
        $info = new SplFileInfo($_FILES['logo_empresa']['name']);
        $filename = 'logo_empresa.' . $info->getExtension();
        $source = $_FILES["logo_empresa"]["tmp_name"];
        $target_path = $directorio . '/' . $filename;

        if (!file_exists($directorio)) {
            if (!mkdir($directorio, 0777)) {
                $_SESSION['respuesta'] = [
                    'error' => "No se puedo crear el directorio"
                ];
                header("Location: " . $_SERVER["HTTP_REFERER"]);
            }
        }

        if ($info->getExtension() == 'png' || $info->getExtension() == 'jpg' || $info->getExtension() == 'jpeg') {
            if (move_uploaded_file($source, $target_path)) {
                $emp = Empresa::first();
                if ($emp) {
                    $emp->logo = $filename;
                    $emp->save();
                } else {
                    $emp = new Empresa;
                    $emp->logo = $filename;
                    $emp->save();
                }

                $_SESSION['respuesta'] = [
                    'success' => "Se cambio el logo"
                ];
            } else {
                $_SESSION['respuesta'] = [
                    'error' => "Se produjo un error al subir el logo"
                ];
                header("Location: " . $_SERVER["HTTP_REFERER"]);
            }
        } else {
            $_SESSION['respuesta'] = [
                'error' => "Extencion del archivo invalido"
            ];
            header("Location: " . $_SERVER["HTTP_REFERER"]);
        }
    } else {
        $_SESSION['respuesta'] = [
            'error' => "No se a seleccionado ninguna imagen"
        ];
        header("Location: " . $_SERVER["HTTP_REFERER"]);
    }
}


header("Location: " . $_SERVER["HTTP_REFERER"]);
